%global npmname bufferutil

Name:           nodejs-%{npmname}
Version:        2.0.1
Release:        1%{?dist}
Summary:        WebSocket buffer utils

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Pull sources from github, with unit tests, not npm.
Source0:        https://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz

BuildRequires:  nodejs-packaging
BuildRequires:  node-gyp, nodejs-bindings

BuildRequires:  nodejs-nan

ExclusiveArch:  %{nodejs_arches} noarch

%description
bufferutil provides some utilities to efficiently perform
some operations such as masking and unmasking the data
payload of WebSocket frames.

%prep
%autosetup -n package

# Remove prebuild-install dep.
%nodejs_fixdep -r prebuild-install

%build
# Create symlink so we can link against system deps.
ln -s %{nodejs_sitelib}/ node_modules

export CXXFLAGS="%{optflags}"
node-gyp rebuild

# Remove symlink postbuild.
rm -f node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bufferutil/build
cp -p package.json fallback.js index.js %{buildroot}%{nodejs_sitelib}/bufferutil/
cp -p build/Release/bufferutil.node %{buildroot}%{nodejs_sitelib}/bufferutil/build/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Sun Feb 26 2017 Ben Rosser <rosser.bjr@gmail.com> - 2.0.1-1
- Initial package.
